# U32Ext in k210_hal::time - Rust
Extension trait that adds convenience methods to the `u32` type
Keywords: rust, rustlang, rust-lang, U32Ext

# Trait k210_hal::time::U32Ext

source · [−]

    pub trait U32Ext {
        fn bps(self) -> Bps;
        fn hz(self) -> Hertz;
        fn khz(self) -> KiloHertz;
        fn mhz(self) -> MegaHertz;
    }

Expand description

Extension trait that adds convenience methods to the `u32` type

## Required methods

source

#### fn bps(self) -> Bps

Wrap in `Bps`

source

#### fn hz(self) -> Hertz

Wrap in `Hertz`

source

#### fn khz(self) -> KiloHertz

Wrap in `KiloHertz`

source

#### fn mhz(self) -> MegaHertz

Wrap in `MegaHertz`

## Implementations on Foreign Types

source

### impl U32Ext for u32

source

#### fn bps(self) -> Bps

source

#### fn hz(self) -> Hertz

source

#### fn khz(self) -> KiloHertz

source

#### fn mhz(self) -> MegaHertz

## Implementors